using APT.BaseData.Domain.Entities.BD;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.BaseData.Domain.Entities
{
    /// <summary>
    /// 通知
    /// </summary> 
    [Description("通知")]
    public partial class T_PF_NOTICE : MesEntityBase
    {
        /// <summary>
        /// 标题
        /// </summary>
        [Description("标题")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(300)]
        public string TITLE { get; set; }

        /// <summary>
        /// 通知内容
        /// </summary>
        [Description("通知内容")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(2000)]
        public string CONTENT { get; set; }

        /// <summary>
        /// 附件
        /// </summary>
        [Description("附件")]
        public virtual ICollection<T_PF_NOTICE_FILE> Nav_Files { get; set; }

        /// <summary>
        /// 发布人
        /// </summary>
        [Description("发布人")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string CREATE_NAME { get; set; }

        /// <summary>
        /// 发布组织
        /// </summary>
        [Description("发布组织")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(100)]
        public string CREATE_DEPARTMENT { get; set; }

        /// <summary>
        /// 发布组织
        /// </summary>
        [Description("发布组织")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        public Guid? DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 总部配置
        /// </summary>
        [Description("总部配置")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        public bool ISHEAD { get; set; } = true;

        /// <summary>
        /// 下发到子公司
        /// </summary>
        [Description("下发到子公司")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        public bool ISTOCHILE { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        [FormFieldTable]
        [FormFieldQuery]
        public PFStandardStatus STATUS { get; set; }
    }
}
